Bug 426645 - Review Request: perl-XML-Tidy - Tidy indenting of XML documents
Review Request: perl-XML-Tidy - Tidy indenting of XML documents
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 426644
Blocks: 426646
  Show dependency treegraph
 
Reported: 2007-12-23 11:17 EST by Xavier Bachelot
Modified: 2007-12-28 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-28 17:27:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2007-12-23 11:17:42 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-XML-Tidy.spec
SRPM URL: 
Description: This module creates XML document objects (with inheritance from XML::XPath) to tidy mixed-content (ie. non-data) text node indenting. There are also some other handy member functions to compress && expand your XML document object (into either a compact XML representation or a binary one).
Comment 1 Xavier Bachelot 2007-12-23 11:19:04 EST
oops, missing SRPM URL :
http://washington.kelkoo.net/fedora/SRPMS/perl-XML-Tidy-1.2.54HJnFa-2.fc8.src.rpm
Comment 2 Parag AN(पराग) 2007-12-25 23:52:59 EST
missing
BuildRequires:  perl(ExtUtils::MakeMaker)
Comment 4 Parag AN(पराग) 2007-12-27 00:47:44 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
8bafc2d11f95c403b3a7d732c5ed494d  XML-Tidy-1.2.54HJnFa.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test output is
t/00small.....ok
t/01medium....ok
t/02large.....ok
t/03prune.....ok
All tests successful.
Files=4, Tests=60,  0 wallclock secs ( 0.45 cusr +  0.06 csys =  0.51 CPU)
+ Package perl-XML-Tidy-1.2.54HJnFa-3.fc9 ->
  Provides: perl(XML::Tidy) = 1.2.54
  Requires: /usr/bin/perl perl(:MODULE_COMPAT_5.8.8) perl(Carp) perl(Exporter)
perl(Math::BaseCnv) perl(XML::XPath) perl(XML::XPath::XMLParser) perl(base)
perl(strict) perl(vars) perl(warnings)

APPROVED.
Comment 5 Xavier Bachelot 2007-12-27 14:07:44 EST
Thx for the review Parag.

New Package CVS Request
=======================
Package Name: perl-XML-Tidy
Short Description: Tidy indenting of XML documents
Owners: xavierb
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-12-28 12:43:37 EST
cvs done.
Comment 7 Xavier Bachelot 2007-12-28 17:27:25 EST
Thx Kevin.

Imported and build for devel and F-8.

Note You need to log in before you can comment on or make changes to this bug.